### Method

# Ide FrameAddin load

#### Declaration

    void
    ide_frame_addin_load (
      IdeFrameAddin* self,
      IdeFrame* frame
    )

#### Description

This function should be implemented by `IdeFrameAddin` plugins in `IdeFrameAddinInterface`.

This virtual method is called when the plugin should load itself. A new instance of the plugin is created for every `IdeFrame` that is created in Builder.

Available since: | 3.32

#### Parameters

`frame` | `IdeFrame`
| An `IdeFrame`.
| The data is owned by the caller of the function.